Index: doc/html/classIMk1.html
===================================================================
--- doc/html/classIMk1.html (revision 261)
+++ doc/html/classIMk1.html (revision 323)
@@ -2,16 +2,56 @@
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>mixpp: IMk1 Class Reference</title>
+<link href="tabs.css" rel="stylesheet" type="text/css">
 <link href="doxygen.css" rel="stylesheet" type="text/css">
-<link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.5.6 -->
+<!-- Generated by Doxygen 1.5.8 -->
+<script type="text/javascript">
+<!--
+function changeDisplayState (e){
+  var num=this.id.replace(/[^[0-9]/g,'');
+  var button=this.firstChild;
+  var sectionDiv=document.getElementById('dynsection'+num);
+  if (sectionDiv.style.display=='none'||sectionDiv.style.display==''){
+    sectionDiv.style.display='block';
+    button.src='open.gif';
+  }else{
+    sectionDiv.style.display='none';
+    button.src='closed.gif';
+  }
+}
+function initDynSections(){
+  var divs=document.getElementsByTagName('div');
+  var sectionCounter=1;
+  for(var i=0;i<divs.length-1;i++){
+    if(divs[i].className=='dynheader'&&divs[i+1].className=='dynsection'){
+      var header=divs[i];
+      var section=divs[i+1];
+      var button=header.firstChild;
+      if (button!='IMG'){
+        divs[i].insertBefore(document.createTextNode(' '),divs[i].firstChild);
+        button=document.createElement('img');
+        divs[i].insertBefore(button,divs[i].firstChild);
+      }
+      header.style.cursor='pointer';
+      header.onclick=changeDisplayState;
+      header.id='dynheader'+sectionCounter;
+      button.src='closed.gif';
+      section.id='dynsection'+sectionCounter;
+      section.style.display='none';
+      section.style.marginLeft='14px';
+      sectionCounter++;
+    }
+  }
+}
+window.onload = initDynSections;
+-->
+</script>
 <div class="navigation" id="top">
   <div class="tabs">
     <ul>
-      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
+      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
       <li><a href="modules.html"><span>Modules</span></a></li>
-      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-      <li class="current"><a href="classes.html"><span>Classes</span></a></li>
+      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
       <li><a href="files.html"><span>Files</span></a></li>
     </ul>
@@ -19,6 +59,6 @@
   <div class="tabs">
     <ul>
-      <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
       <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
+      <li><a href="classes.html"><span>Class&nbsp;Index</span></a></li>
       <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
       <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
@@ -32,18 +72,4 @@
 <code>#include &lt;<a class="el" href="model_8h-source.html">model.h</a>&gt;</code>
 <p>
-<div class="dynheader">
-Inheritance diagram for IMk1:</div>
-<div class="dynsection">
-<p><center><img src="classIMk1__inherit__graph.png" border="0" usemap="#IMk1__inherit__map" alt="Inheritance graph"></center>
-<map name="IMk1__inherit__map">
-<area shape="rect" href="classbdm_1_1diffbifn.html" title="Class representing a differentiable function of two variables ." alt="" coords="12,161,111,188"><area shape="rect" href="classbdm_1_1fnc.html" title="Class representing function &#160;of variable &#160;represented by rv." alt="" coords="23,84,100,111"><area shape="rect" href="classbdm_1_1bdmroot.html" title="Root class of BDM objects." alt="" coords="5,7,117,33"></map>
-<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
-<div class="dynheader">
-Collaboration diagram for IMk1:</div>
-<div class="dynsection">
-<p><center><img src="classIMk1__coll__graph.png" border="0" usemap="#IMk1__coll__map" alt="Collaboration graph"></center>
-<map name="IMk1__coll__map">
-<area shape="rect" href="classbdm_1_1diffbifn.html" title="Class representing a differentiable function of two variables ." alt="" coords="29,199,128,225"><area shape="rect" href="classbdm_1_1fnc.html" title="Class representing function &#160;of variable &#160;represented by rv." alt="" coords="5,87,83,113"><area shape="rect" href="classbdm_1_1bdmroot.html" title="Root class of BDM objects." alt="" coords="45,7,157,33"><area shape="rect" href="classbdm_1_1RV.html" title="Class representing variables, most often random variables." alt="" coords="107,87,181,113"></map>
-<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
 
 <p>
@@ -62,15 +88,15 @@
 vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIMk1.html#8957f00622352dcacd64518136c7da33">eval</a> (const vec &amp;x0, const vec &amp;u0)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Evaluates <img class="formulaInl" alt="$f(x0,u0)$" src="form_49.png">. <br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Evaluates <img class="formulaInl" alt="$f(x0,u0)$" src="form_91.png">. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIMk1.html#463177c0fdffdf4951761959160cc682">dfdx_cond</a> (const vec &amp;x0, const vec &amp;u0, mat &amp;A, bool full=true)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Evaluates <img class="formulaInl" alt="$A=\frac{d}{dx}f(x,u)|_{x0,u0}$" src="form_1.png"> and writes result into <code>A</code> .  <a href="#463177c0fdffdf4951761959160cc682"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Evaluates <img class="formulaInl" alt="$A=\frac{d}{dx}f(x,u)|_{x0,u0}$" src="form_92.png"> and writes result into <code>A</code> .  <a href="#463177c0fdffdf4951761959160cc682"></a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIMk1.html#2b85f0984da3fe55849bb7b28f66e50c">dfdu_cond</a> (const vec &amp;x0, const vec &amp;u0, mat &amp;A, bool full=true)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Evaluates <img class="formulaInl" alt="$A=\frac{d}{du}f(x,u)|_{x0,u0}$" src="form_2.png"> and writes result into <code>A</code> .  <a href="#2b85f0984da3fe55849bb7b28f66e50c"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Evaluates <img class="formulaInl" alt="$A=\frac{d}{du}f(x,u)|_{x0,u0}$" src="form_94.png"> and writes result into <code>A</code> .  <a href="#2b85f0984da3fe55849bb7b28f66e50c"></a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="188f31066bd72e1bf0ddacd1eb0e6af3"></a><!-- doxytag: member="IMk1::eval" ref="188f31066bd72e1bf0ddacd1eb0e6af3" args="(const vec &amp;cond)" -->
 vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1diffbifn.html#188f31066bd72e1bf0ddacd1eb0e6af3">eval</a> (const vec &amp;cond)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Evaluates <img class="formulaInl" alt="$f(x0,u0)$" src="form_49.png"> (VS: Do we really need common eval? ). <br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Evaluates <img class="formulaInl" alt="$f(x0,u0)$" src="form_91.png"> (VS: Do we really need common eval? ). <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1b3c8f5949f13d86d2661e191d4b369b"></a><!-- doxytag: member="IMk1::_dimx" ref="1b3c8f5949f13d86d2661e191d4b369b" args="() const " -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1diffbifn.html#1b3c8f5949f13d86d2661e191d4b369b">_dimx</a> () const </td></tr>
@@ -85,6 +111,6 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">function substitutes given value into an appropriate position <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a2277a400fc9f4d6c0bf24dc7156183f"></a><!-- doxytag: member="IMk1::_dimy" ref="a2277a400fc9f4d6c0bf24dc7156183f" args="() const " -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1fnc.html#a2277a400fc9f4d6c0bf24dc7156183f">_dimy</a> () const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="083832294da9d1e40804158b979c4341"></a><!-- doxytag: member="IMk1::dimension" ref="083832294da9d1e40804158b979c4341" args="() const " -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1fnc.html#083832294da9d1e40804158b979c4341">dimension</a> () const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
@@ -119,4 +145,57 @@
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 Model stredni hodnoty vyvoje stavu pro k1. <hr><h2>Member Function Documentation</h2>
+<a class="anchor" name="2b85f0984da3fe55849bb7b28f66e50c"></a><!-- doxytag: member="IMk1::dfdu_cond" ref="2b85f0984da3fe55849bb7b28f66e50c" args="(const vec &amp;x0, const vec &amp;u0, mat &amp;A, bool full=true)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void IMk1::dfdu_cond           </td>
+          <td>(</td>
+          <td class="paramtype">const vec &amp;&nbsp;</td>
+          <td class="paramname"> <em>x0</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const vec &amp;&nbsp;</td>
+          <td class="paramname"> <em>u0</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">mat &amp;&nbsp;</td>
+          <td class="paramname"> <em>A</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">bool&nbsp;</td>
+          <td class="paramname"> <em>full</em> = <code>true</code></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td><code> [inline, virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Evaluates <img class="formulaInl" alt="$A=\frac{d}{du}f(x,u)|_{x0,u0}$" src="form_94.png"> and writes result into <code>A</code> . 
+<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>full</em>&nbsp;</td><td>denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed. </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>x0</em>&nbsp;</td><td>numeric value of <img class="formulaInl" alt="$x$" src="form_0.png">, </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>u0</em>&nbsp;</td><td>numeric value of <img class="formulaInl" alt="$u$" src="form_93.png"> </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>A</em>&nbsp;</td><td>a place where the result will be stored. </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classbdm_1_1diffbifn.html#6ea1dc7a482601b29c5ba36a52d20d07">bdm::diffbifn</a>.</p>
+
+</div>
+</div><p>
 <a class="anchor" name="463177c0fdffdf4951761959160cc682"></a><!-- doxytag: member="IMk1::dfdx_cond" ref="463177c0fdffdf4951761959160cc682" args="(const vec &amp;x0, const vec &amp;u0, mat &amp;A, bool full=true)" -->
 <div class="memitem">
@@ -157,11 +236,11 @@
 
 <p>
-Evaluates <img class="formulaInl" alt="$A=\frac{d}{dx}f(x,u)|_{x0,u0}$" src="form_1.png"> and writes result into <code>A</code> . 
+Evaluates <img class="formulaInl" alt="$A=\frac{d}{dx}f(x,u)|_{x0,u0}$" src="form_92.png"> and writes result into <code>A</code> . 
 <p>
 <dl compact><dt><b>Parameters:</b></dt><dd>
   <table border="0" cellspacing="2" cellpadding="0">
     <tr><td valign="top"></td><td valign="top"><em>full</em>&nbsp;</td><td>denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed. </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>x0</em>&nbsp;</td><td>numeric value of <img class="formulaInl" alt="$x$" src="form_28.png">, </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>u0</em>&nbsp;</td><td>numeric value of <img class="formulaInl" alt="$u$" src="form_50.png"> </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>x0</em>&nbsp;</td><td>numeric value of <img class="formulaInl" alt="$x$" src="form_0.png">, </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>u0</em>&nbsp;</td><td>numeric value of <img class="formulaInl" alt="$u$" src="form_93.png"> </td></tr>
     <tr><td valign="top"></td><td valign="top"><em>A</em>&nbsp;</td><td>a place where the result will be stored. </td></tr>
   </table>
@@ -170,58 +249,5 @@
 <p>Reimplemented from <a class="el" href="classbdm_1_1diffbifn.html#651184f808a35f236dbfea21aca1b6ac">bdm::diffbifn</a>.</p>
 
-<p>References <a class="el" href="libBM_8h-source.html#l00083">bdm::RV::count()</a>.</p>
-
-</div>
-</div><p>
-<a class="anchor" name="2b85f0984da3fe55849bb7b28f66e50c"></a><!-- doxytag: member="IMk1::dfdu_cond" ref="2b85f0984da3fe55849bb7b28f66e50c" args="(const vec &amp;x0, const vec &amp;u0, mat &amp;A, bool full=true)" -->
-<div class="memitem">
-<div class="memproto">
-      <table class="memname">
-        <tr>
-          <td class="memname">void IMk1::dfdu_cond           </td>
-          <td>(</td>
-          <td class="paramtype">const vec &amp;&nbsp;</td>
-          <td class="paramname"> <em>x0</em>, </td>
-        </tr>
-        <tr>
-          <td class="paramkey"></td>
-          <td></td>
-          <td class="paramtype">const vec &amp;&nbsp;</td>
-          <td class="paramname"> <em>u0</em>, </td>
-        </tr>
-        <tr>
-          <td class="paramkey"></td>
-          <td></td>
-          <td class="paramtype">mat &amp;&nbsp;</td>
-          <td class="paramname"> <em>A</em>, </td>
-        </tr>
-        <tr>
-          <td class="paramkey"></td>
-          <td></td>
-          <td class="paramtype">bool&nbsp;</td>
-          <td class="paramname"> <em>full</em> = <code>true</code></td><td>&nbsp;</td>
-        </tr>
-        <tr>
-          <td></td>
-          <td>)</td>
-          <td></td><td></td><td><code> [inline, virtual]</code></td>
-        </tr>
-      </table>
-</div>
-<div class="memdoc">
-
-<p>
-Evaluates <img class="formulaInl" alt="$A=\frac{d}{du}f(x,u)|_{x0,u0}$" src="form_2.png"> and writes result into <code>A</code> . 
-<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>full</em>&nbsp;</td><td>denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed. </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>x0</em>&nbsp;</td><td>numeric value of <img class="formulaInl" alt="$x$" src="form_28.png">, </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>u0</em>&nbsp;</td><td>numeric value of <img class="formulaInl" alt="$u$" src="form_50.png"> </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>A</em>&nbsp;</td><td>a place where the result will be stored. </td></tr>
-  </table>
-</dl>
-
-<p>Reimplemented from <a class="el" href="classbdm_1_1diffbifn.html#6ea1dc7a482601b29c5ba36a52d20d07">bdm::diffbifn</a>.</p>
+<p>References <a class="el" href="libBM_8h-source.html#l00193">bdm::fnc::dimy</a>.</p>
 
 </div>
@@ -230,7 +256,7 @@
 <li><a class="el" href="model_8h-source.html">model.h</a></ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 6 12:16:59 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Thu Apr 23 21:06:44 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
 </body>
 </html>